lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'voucher/version'

Gem::Specification.new do |spec|
  spec.name          = 'voucher'
  spec.version       = Voucher::VERSION
  spec.authors       = ['lucidity']
  spec.email         = ['lucidity@lucidity.tech']

  spec.summary       = 'Validate that the segments exist in an Election through the Ethereum blockchain'
  spec.description   = 'Ingest a file full of segments encoded in JSON and validates that each one exists in an Election through the Ethereum blockchain'
  spec.homepage      = 'https://github.com/luciditytech/voucher'
  spec.license       = 'MIT'

  spec.files = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.required_ruby_version = '>= 2.4'

  spec.add_dependency 'activesupport', '~> 5.2'
  spec.add_dependency 'thor'
  spec.add_dependency 'virtus'
  spec.add_dependency 'ethereum.rb', '~> 2.2'
  spec.add_dependency 'hashtastic'
  spec.add_dependency 'murky_waters'
  spec.add_dependency 'mixlib-config'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'pry', '~> 0.11.3'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop'
end
